# NatTypeDetectionClient.h File Reference

Contains the NAT-type detection code for the client. More...

`#include "NativeFeatureIncludes.h"`
`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PluginInterface2.h"`
`#include "PacketPriority.h"`
`#include "SocketIncludes.h"`
`#include "DS_OrderedList.h"`
`#include "RakString.h"`
`#include "NatTypeDetectionCommon.h"`

## Classes
class | RakNet::NatTypeDetectionClient
| Client code for NatTypeDetection. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

Contains the NAT-type detection code for the client.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.